#include "forms.h"
#include <stdlib.h>
#include <strings.h>

FL_FORM *fclock;

void create_form_clock()
{
  FL_OBJECT *obj;

  if (fclock) return;
  fclock = fl_bgn_form(FL_NO_BOX,56,56);
  obj = fl_add_clock(FL_ANALOG_CLOCK,
                             0,0,56,56,"");
  fl_set_object_resize(obj, FL_RESIZE_ALL);
  fl_set_object_boxtype(obj,FL_FLAT_BOX);
  fl_end_form();
}

int main(int argc, char *argv[])
{
    fl_initialize(&argc,argv,"XFormClock",0,0);
    create_form_clock();
    fl_set_form_dblbuffer(fclock, 1);
    fl_show_form(fclock,FL_PLACE_FREE,
                      FL_FULLBORDER,"xfclock");
    fl_do_forms();
    return 0;
}
